curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"itemSupplier": {
"supplierId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"supplierItemName": "<string>",
"supplierItemNumber": "<string>",
"stockLevel": 123,
"netPurchasePrice": 123,
"minimumPurchaseQuantity": 123,
"deliveryTimeInDays": 123,
"isDropshippingActive": true,
"packageUnitDescription": "<string>",
"packageUnitQuantity": 123,
"notes": "<string>",
"vatRate": 123,
"useSupplierDeliveryTime": true,
"includeSupplierStock": true,
"purchaseInterval": 123,
"scalePrices": [
{
"fromQuantity": 123,
"usePercentageDiscount": true,
"netPrice": 123,
"percentageDiscount": 123
}
]
}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers"
payload = { "itemSupplier": {
"supplierId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"supplierItemName": "<string>",
"supplierItemNumber": "<string>",
"stockLevel": 123,
"netPurchasePrice": 123,
"minimumPurchaseQuantity": 123,
"deliveryTimeInDays": 123,
"isDropshippingActive": True,
"packageUnitDescription": "<string>",
"packageUnitQuantity": 123,
"notes": "<string>",
"vatRate": 123,
"useSupplierDeliveryTime": True,
"includeSupplierStock": True,
"purchaseInterval": 123,
"scalePrices": [
{
"fromQuantity": 123,
"usePercentageDiscount": True,
"netPrice": 123,
"percentageDiscount": 123
}
]
} }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemSupplier: {
supplierId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
supplierItemName: '<string>',
supplierItemNumber: '<string>',
stockLevel: 123,
netPurchasePrice: 123,
minimumPurchaseQuantity: 123,
deliveryTimeInDays: 123,
isDropshippingActive: true,
packageUnitDescription: '<string>',
packageUnitQuantity: 123,
notes: '<string>',
vatRate: 123,
useSupplierDeliveryTime: true,
includeSupplierStock: true,
purchaseInterval: 123,
scalePrices: [
{
fromQuantity: 123,
usePercentageDiscount: true,
netPrice: 123,
percentageDiscount: 123
}
]
}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{itemId}/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Adds supplier information to an existing regular item. This command allows the association of suppliers with the item, including details such as purchase prices, delivery times, and order intervals.
Adds supplier information to an existing regular item. This command allows the association of suppliers with the item, including details such as purchase prices, delivery times, and order intervals.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Adds supplier information to an existing regular item. This command allows the association of suppliers with the item, including details such as purchase prices, delivery times, and order intervals. - Request
Supplier information to be added to the item.
Show child attributes
Show child attributes
Response
Supplier was successfully added to the item.
Adds supplier information to an existing regular item. This command allows the association of suppliers with the item, including details such as purchase prices, delivery times, and order intervals. - Response
Unique ID of the modified item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?